Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex
Class Multiplex

    java.lang.Object
      org.jboss.remoting.transport.multiplex.Multiplex

    public class Multiplex

extends java.lang.Object

`Multiplex` is the repository for the names and default values for all of the configurable parameters in the Multiplex system. The names are meant to be used as keys in a configuration `Map`. The `Multiplex` class also contains some keys used internally by the Multiplex classes.

For a discussion of the meaning of these parameters, please see the Multiplex documentation on the labs.jboss.org web site.

Version:
  $Revision$

  Copyright (c) May 19, 2006

Author:
  Ron Sigal

Field Summary
`static java.lang.String` | `CLIENT_MULTIPLEX_ID`
`static java.lang.String` | `INPUT_BUFFER_SIZE`
`static int` | `INPUT_BUFFER_SIZE_DEFAULT`
`static java.lang.String` | `INPUT_MAX_ERRORS`
`static int` | `INPUT_MAX_ERRORS_DEFAULT`
`static java.lang.String` | `MAX_ACCEPT_ERRORS`
`static int` | `MAX_ACCEPT_ERRORS_DEFAULT`
`static java.lang.String` | `MULTIPLEX_BIND_HOST`
`static java.lang.String` | `MULTIPLEX_BIND_PORT`
`static java.lang.String` | `MULTIPLEX_CONNECT_HOST`
`static java.lang.String` | `MULTIPLEX_CONNECT_PORT`
`static java.lang.String` | `OUTPUT_MAX_CHUNK_SIZE`
`static int` | `OUTPUT_MAX_CHUNK_SIZE_DEFAULT`
`static java.lang.String` | `OUTPUT_MAX_DATA_SLICE`
`static int` | `OUTPUT_MAX_DATA_SLICE_DEFAULT`
`static java.lang.String` | `OUTPUT_MAX_ERRORS`
`static int` | `OUTPUT_MAX_ERRORS_DEFAULT`
`static java.lang.String` | `OUTPUT_MAX_TIME_SLICE`
`static int` | `OUTPUT_MAX_TIME_SLICE_DEFAULT`
`static java.lang.String` | `OUTPUT_MESSAGE_POOL_SIZE`
`static int` | `OUTPUT_MESSAGE_POOL_SIZE_DEFAULT`
`static java.lang.String` | `OUTPUT_MESSAGE_SIZE`
`static int` | `OUTPUT_MESSAGE_SIZE_DEFAULT`
`static java.lang.String` | `SERVER_MULTIPLEX_ID`
`static java.lang.String` | `SERVER_SOCKET_FACTORY`
`static java.lang.String` | `SHUTDOWN_MONITOR_PERIOD`
`static int` | `SHUTDOWN_MONITOR_PERIOD_DEFAULT`
`static java.lang.String` | `SHUTDOWN_REFUSALS_MAXIMUM`
`static int` | `SHUTDOWN_REFUSALS_MAXIMUM_DEFAULT`
`static java.lang.String` | `SHUTDOWN_REQUEST_TIMEOUT`
`static int` | `SHUTDOWN_REQUEST_TIMEOUT_DEFAULT`
`static java.lang.String` | `SOCKET_FACTORY`
`static java.lang.String` | `SSL_HANDSHAKE_LISTENER`
`static java.lang.String` | `STATIC_THREADS_MONITOR_PERIOD`
`static int` | `STATIC_THREADS_MONITOR_PERIOD_DEFAULT`

Method Summary
`static int` | `getOneParameter(java.util.Map configuration, java.lang.String name, java.lang.String key, int defaultValue)` Extracts a parameter value from a configuration `Map`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_MULTIPLEX_ID

    public static final java.lang.String SERVER_MULTIPLEX_ID

See Also:
  Constant Field Values

### CLIENT_MULTIPLEX_ID

    public static final java.lang.String CLIENT_MULTIPLEX_ID

See Also:
  Constant Field Values

### MULTIPLEX_CONNECT_PORT

    public static final java.lang.String MULTIPLEX_CONNECT_PORT

See Also:
  Constant Field Values

### MULTIPLEX_CONNECT_HOST

    public static final java.lang.String MULTIPLEX_CONNECT_HOST

See Also:
  Constant Field Values

### MULTIPLEX_BIND_HOST

    public static final java.lang.String MULTIPLEX_BIND_HOST

See Also:
  Constant Field Values

### MULTIPLEX_BIND_PORT

    public static final java.lang.String MULTIPLEX_BIND_PORT

See Also:
  Constant Field Values

### MAX_ACCEPT_ERRORS

    public static final java.lang.String MAX_ACCEPT_ERRORS

See Also:
  Constant Field Values

### MAX_ACCEPT_ERRORS_DEFAULT

    public static final int MAX_ACCEPT_ERRORS_DEFAULT

See Also:
  Constant Field Values

### STATIC_THREADS_MONITOR_PERIOD

    public static final java.lang.String STATIC_THREADS_MONITOR_PERIOD

See Also:
  Constant Field Values

### SHUTDOWN_REQUEST_TIMEOUT

    public static final java.lang.String SHUTDOWN_REQUEST_TIMEOUT

See Also:
  Constant Field Values

### SHUTDOWN_REFUSALS_MAXIMUM

    public static final java.lang.String SHUTDOWN_REFUSALS_MAXIMUM

See Also:
  Constant Field Values

### SHUTDOWN_MONITOR_PERIOD

    public static final java.lang.String SHUTDOWN_MONITOR_PERIOD

See Also:
  Constant Field Values

### STATIC_THREADS_MONITOR_PERIOD_DEFAULT

    public static final int STATIC_THREADS_MONITOR_PERIOD_DEFAULT

See Also:
  Constant Field Values

### SHUTDOWN_REQUEST_TIMEOUT_DEFAULT

    public static final int SHUTDOWN_REQUEST_TIMEOUT_DEFAULT

See Also:
  Constant Field Values

### SHUTDOWN_REFUSALS_MAXIMUM_DEFAULT

    public static final int SHUTDOWN_REFUSALS_MAXIMUM_DEFAULT

See Also:
  Constant Field Values

### SHUTDOWN_MONITOR_PERIOD_DEFAULT

    public static final int SHUTDOWN_MONITOR_PERIOD_DEFAULT

See Also:
  Constant Field Values

### INPUT_BUFFER_SIZE

    public static final java.lang.String INPUT_BUFFER_SIZE

See Also:
  Constant Field Values

### INPUT_MAX_ERRORS

    public static final java.lang.String INPUT_MAX_ERRORS

See Also:
  Constant Field Values

### INPUT_BUFFER_SIZE_DEFAULT

    public static final int INPUT_BUFFER_SIZE_DEFAULT

See Also:
  Constant Field Values

### INPUT_MAX_ERRORS_DEFAULT

    public static final int INPUT_MAX_ERRORS_DEFAULT

See Also:
  Constant Field Values

### OUTPUT_MESSAGE_POOL_SIZE

    public static final java.lang.String OUTPUT_MESSAGE_POOL_SIZE

See Also:
  Constant Field Values

### OUTPUT_MESSAGE_SIZE

    public static final java.lang.String OUTPUT_MESSAGE_SIZE

See Also:
  Constant Field Values

### OUTPUT_MAX_CHUNK_SIZE

    public static final java.lang.String OUTPUT_MAX_CHUNK_SIZE

See Also:
  Constant Field Values

### OUTPUT_MAX_TIME_SLICE

    public static final java.lang.String OUTPUT_MAX_TIME_SLICE

See Also:
  Constant Field Values

### OUTPUT_MAX_DATA_SLICE

    public static final java.lang.String OUTPUT_MAX_DATA_SLICE

See Also:
  Constant Field Values

### OUTPUT_MAX_ERRORS

    public static final java.lang.String OUTPUT_MAX_ERRORS

See Also:
  Constant Field Values

### OUTPUT_MESSAGE_POOL_SIZE_DEFAULT

    public static final int OUTPUT_MESSAGE_POOL_SIZE_DEFAULT

See Also:
  Constant Field Values

### OUTPUT_MESSAGE_SIZE_DEFAULT

    public static final int OUTPUT_MESSAGE_SIZE_DEFAULT

See Also:
  Constant Field Values

### OUTPUT_MAX_CHUNK_SIZE_DEFAULT

    public static final int OUTPUT_MAX_CHUNK_SIZE_DEFAULT

See Also:
  Constant Field Values

### OUTPUT_MAX_TIME_SLICE_DEFAULT

    public static final int OUTPUT_MAX_TIME_SLICE_DEFAULT

See Also:
  Constant Field Values

### OUTPUT_MAX_DATA_SLICE_DEFAULT

    public static final int OUTPUT_MAX_DATA_SLICE_DEFAULT

See Also:
  Constant Field Values

### OUTPUT_MAX_ERRORS_DEFAULT

    public static final int OUTPUT_MAX_ERRORS_DEFAULT

See Also:
  Constant Field Values

### SOCKET_FACTORY

    public static final java.lang.String SOCKET_FACTORY

See Also:
  Constant Field Values

### SERVER_SOCKET_FACTORY

    public static final java.lang.String SERVER_SOCKET_FACTORY

See Also:
  Constant Field Values

### SSL_HANDSHAKE_LISTENER

    public static final java.lang.String SSL_HANDSHAKE_LISTENER

See Also:
  Constant Field Values

Method Detail

### getOneParameter

    public static int getOneParameter(java.util.Map configuration,
                                      java.lang.String name,
                                      java.lang.String key,
                                      int defaultValue)

  Extracts a parameter value from a configuration `Map`.

  Parameters:
    `configuration` - configuration `Map`
    `name` - display form of parameter name
    `key` - key in configuration `Map`
    `defaultValue` - value to use of key is not among configuration keys
  Returns:
    value in configuration association with key, or defautValue if key is not among configuration keys

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.